package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.IPhysicalEndpointFieldMeta;

public class PhysicalEndpointFieldMetaImpl extends MetaRepresentationImpl implements IPhysicalEndpointFieldMeta
{
	private final Class<?> mType;
	private final boolean mIsSetable;
	
	public PhysicalEndpointFieldMetaImpl(String aName, String aDescription, Class<?> aType, boolean aIsSetable)
	{	super(aName,aDescription, null, null);
		mType=aType;
		mIsSetable=aIsSetable;
	}
	
	public Class<?> getType()
	{	return mType;
	}
	
	public boolean isSetable()
	{	return mIsSetable;
	}

}
